Download it now!
Bug 125997 - Sending document as PDF via 'Send merged document as e-mail' is missing line numbers
Summary: Sending document as PDF via 'Send merged document as e-mail' is missing line ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2019-06-18 21:28 UTC by buschfeuer
Modified: 2019-09-26 09:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer - Send merged document as e-mail (20.31 KB, image/png)
2019-06-18 21:30 UTC, buschfeuer
Details
PDF - Result without line numbers (19.79 KB, image/png)
2019-06-18 21:31 UTC, buschfeuer
Details
Writer - Where to find send merged document as e-mail (21.38 KB, image/png)
2019-06-26 07:57 UTC, buschfeuer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description buschfeuer 2019-06-18 21:28:10 UTC
Description:
I wanted to send a document via Writers "Send merged document as e-mail" function, which is really nice and helpful, which has activated line numbers, but these are not shown in the PDF sent via e-mail.

Steps to Reproduce:
1. Setup mail server in Writer settings
2. Create a document with text and enable line numbers for each but emtpy lines
3. Use the function "Send merged document as e-mail" to send the document as PDF attachment (setup address source from calc document - everythin working so far)
4. Click "Send documents"

Actual Results:
Mail(s) are sent but the attached PDF doesn't contain line numbers.

Expected Results:
Mail(s) are sent and the attached PDF doesn contain line numbers, like setup in the initial document.


Reproducible: Always


User Profile Reset: No



Additional Info:
Exporting into a PDF via Writer leads to line numbers geting shown, so there is some bug in the "Send merged document as e-mail" code IMHO.
Comment 1 buschfeuer 2019-06-18 21:30:31 UTC
Created attachment 152279 [details]
Writer - Send merged document as e-mail
Comment 2 buschfeuer 2019-06-18 21:31:02 UTC
Created attachment 152280 [details]
PDF - Result without line numbers
Comment 3 Roman Kuznetsov 2019-06-24 10:20:50 UTC
Can you say us where you find the function "Send merged document as e-mail"? What menu did you use?

If I use "File->Send->E-mail as PDF" then in PDF will be show line numbering
Comment 4 buschfeuer 2019-06-26 07:55:18 UTC
Well I've got a german LibreOffice and I use the following way:
Extras - Serienbrief-Assistent - Aktuelles Dokument verwenden - E-Mail-Nachricht

You can find the documentation for the "Send merged document as e-mail" function here: https://help.libreoffice.org/6.2/en-US/text/swriter/01/mm_emailmergeddoc.html
Comment 5 buschfeuer 2019-06-26 07:57:07 UTC
Created attachment 152408 [details]
Writer - Where to find send merged document as e-mail
Comment 6 Dieter 2019-09-21 09:11:31 UTC
Buschfeuer, just for clarification: Line numbers are still part of the ocument, if you finish mail merge wizard and they get lost, if you send them with "Send Email Massenges"?
Comment 7 Xisco Faulí 2019-09-25 15:33:32 UTC
(In reply to Dieter Praas from comment #6)
> Buschfeuer, just for clarification: Line numbers are still part of the
> ocument, if you finish mail merge wizard and they get lost, if you send them
> with "Send Email Massenges"?

Setting to NEEDINFO
Comment 8 buschfeuer 2019-09-26 06:57:18 UTC
(In reply to Dieter Praas from comment #6)
> Buschfeuer, just for clarification: Line numbers are still part of the
> ocument, if you finish mail merge wizard and they get lost, if you send them
> with "Send Email Massenges"?

I tried it with current 6.3.1 version. Line numbers are still shown in the base document after the mail merge wizard finished, but they are missing in the PDF file attached to the sent e-mail. After sending the e-mail the base document in Writer still has the line numbers.

Changing back to UNCONFIRMED.
Comment 9 Dieter 2019-09-26 09:54:45 UTC
I just could send it, but I could print it "Print merged documents". With PDF creator I couldn't print line numbers. Same result with Microsoft print to PDF. No problem when I print document with File > Export as > Export as PDF

Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

=> NEW